enum unicode_gc_cat {
  unicode_gc_Cc,
  unicode_gc_Cf,
  unicode_gc_Co,
  unicode_gc_Cs,
  unicode_gc_Ll,
  unicode_gc_Lm,
  unicode_gc_Lo,
  unicode_gc_Lt,
  unicode_gc_Lu,
  unicode_gc_Mc,
  unicode_gc_Me,
  unicode_gc_Mn,
  unicode_gc_Nd,
  unicode_gc_Nl,
  unicode_gc_No,
  unicode_gc_Pc,
  unicode_gc_Pd,
  unicode_gc_Pe,
  unicode_gc_Pf,
  unicode_gc_Pi,
  unicode_gc_Po,
  unicode_gc_Ps,
  unicode_gc_Sc,
  unicode_gc_Sk,
  unicode_gc_Sm,
  unicode_gc_So,
  unicode_gc_Zl,
  unicode_gc_Zp,
  unicode_gc_Zs,
  unicode_gc_none
};
static const struct unicode_gc {
  uint32_t l, h;
  enum unicode_gc_cat cat;
} gcs[] = {
  { 0, 31, unicode_gc_Cc },
  { 32, 32, unicode_gc_Zs },
  { 33, 35, unicode_gc_Po },
  { 36, 36, unicode_gc_Sc },
  { 37, 39, unicode_gc_Po },
  { 40, 40, unicode_gc_Ps },
  { 41, 41, unicode_gc_Pe },
  { 42, 42, unicode_gc_Po },
  { 43, 43, unicode_gc_Sm },
  { 44, 44, unicode_gc_Po },
  { 45, 45, unicode_gc_Pd },
  { 46, 47, unicode_gc_Po },
  { 48, 57, unicode_gc_Nd },
  { 58, 59, unicode_gc_Po },
  { 60, 62, unicode_gc_Sm },
  { 63, 64, unicode_gc_Po },
  { 65, 90, unicode_gc_Lu },
  { 91, 91, unicode_gc_Ps },
  { 92, 92, unicode_gc_Po },
  { 93, 93, unicode_gc_Pe },
  { 94, 94, unicode_gc_Sk },
  { 95, 95, unicode_gc_Pc },
  { 96, 96, unicode_gc_Sk },
  { 97, 122, unicode_gc_Ll },
  { 123, 123, unicode_gc_Ps },
  { 124, 124, unicode_gc_Sm },
  { 125, 125, unicode_gc_Pe },
  { 126, 126, unicode_gc_Sm },
  { 127, 159, unicode_gc_Cc },
  { 160, 160, unicode_gc_Zs },
  { 161, 161, unicode_gc_Po },
  { 162, 165, unicode_gc_Sc },
  { 166, 167, unicode_gc_So },
  { 168, 168, unicode_gc_Sk },
  { 169, 169, unicode_gc_So },
  { 170, 170, unicode_gc_Ll },
  { 171, 171, unicode_gc_Pi },
  { 172, 172, unicode_gc_Sm },
  { 173, 173, unicode_gc_Cf },
  { 174, 174, unicode_gc_So },
  { 175, 175, unicode_gc_Sk },
  { 176, 176, unicode_gc_So },
  { 177, 177, unicode_gc_Sm },
  { 178, 179, unicode_gc_No },
  { 180, 180, unicode_gc_Sk },
  { 181, 181, unicode_gc_Ll },
  { 182, 182, unicode_gc_So },
  { 183, 183, unicode_gc_Po },
  { 184, 184, unicode_gc_Sk },
  { 185, 185, unicode_gc_No },
  { 186, 186, unicode_gc_Ll },
  { 187, 187, unicode_gc_Pf },
  { 188, 190, unicode_gc_No },
  { 191, 191, unicode_gc_Po },
  { 192, 214, unicode_gc_Lu },
  { 215, 215, unicode_gc_Sm },
  { 216, 222, unicode_gc_Lu },
  { 223, 246, unicode_gc_Ll },
  { 247, 247, unicode_gc_Sm },
  { 248, 255, unicode_gc_Ll },
  { 256, 256, unicode_gc_Lu },
  { 257, 257, unicode_gc_Ll },
  { 258, 258, unicode_gc_Lu },
  { 259, 259, unicode_gc_Ll },
  { 260, 260, unicode_gc_Lu },
  { 261, 261, unicode_gc_Ll },
  { 262, 262, unicode_gc_Lu },
  { 263, 263, unicode_gc_Ll },
  { 264, 264, unicode_gc_Lu },
  { 265, 265, unicode_gc_Ll },
  { 266, 266, unicode_gc_Lu },
  { 267, 267, unicode_gc_Ll },
  { 268, 268, unicode_gc_Lu },
  { 269, 269, unicode_gc_Ll },
  { 270, 270, unicode_gc_Lu },
  { 271, 271, unicode_gc_Ll },
  { 272, 272, unicode_gc_Lu },
  { 273, 273, unicode_gc_Ll },
  { 274, 274, unicode_gc_Lu },
  { 275, 275, unicode_gc_Ll },
  { 276, 276, unicode_gc_Lu },
  { 277, 277, unicode_gc_Ll },
  { 278, 278, unicode_gc_Lu },
  { 279, 279, unicode_gc_Ll },
  { 280, 280, unicode_gc_Lu },
  { 281, 281, unicode_gc_Ll },
  { 282, 282, unicode_gc_Lu },
  { 283, 283, unicode_gc_Ll },
  { 284, 284, unicode_gc_Lu },
  { 285, 285, unicode_gc_Ll },
  { 286, 286, unicode_gc_Lu },
  { 287, 287, unicode_gc_Ll },
  { 288, 288, unicode_gc_Lu },
  { 289, 289, unicode_gc_Ll },
  { 290, 290, unicode_gc_Lu },
  { 291, 291, unicode_gc_Ll },
  { 292, 292, unicode_gc_Lu },
  { 293, 293, unicode_gc_Ll },
  { 294, 294, unicode_gc_Lu },
  { 295, 295, unicode_gc_Ll },
  { 296, 296, unicode_gc_Lu },
  { 297, 297, unicode_gc_Ll },
  { 298, 298, unicode_gc_Lu },
  { 299, 299, unicode_gc_Ll },
  { 300, 300, unicode_gc_Lu },
  { 301, 301, unicode_gc_Ll },
  { 302, 302, unicode_gc_Lu },
  { 303, 303, unicode_gc_Ll },
  { 304, 304, unicode_gc_Lu },
  { 305, 305, unicode_gc_Ll },
  { 306, 306, unicode_gc_Lu },
  { 307, 307, unicode_gc_Ll },
  { 308, 308, unicode_gc_Lu },
  { 309, 309, unicode_gc_Ll },
  { 310, 310, unicode_gc_Lu },
  { 311, 312, unicode_gc_Ll },
  { 313, 313, unicode_gc_Lu },
  { 314, 314, unicode_gc_Ll },
  { 315, 315, unicode_gc_Lu },
  { 316, 316, unicode_gc_Ll },
  { 317, 317, unicode_gc_Lu },
  { 318, 318, unicode_gc_Ll },
  { 319, 319, unicode_gc_Lu },
  { 320, 320, unicode_gc_Ll },
  { 321, 321, unicode_gc_Lu },
  { 322, 322, unicode_gc_Ll },
  { 323, 323, unicode_gc_Lu },
  { 324, 324, unicode_gc_Ll },
  { 325, 325, unicode_gc_Lu },
  { 326, 326, unicode_gc_Ll },
  { 327, 327, unicode_gc_Lu },
  { 328, 329, unicode_gc_Ll },
  { 330, 330, unicode_gc_Lu },
  { 331, 331, unicode_gc_Ll },
  { 332, 332, unicode_gc_Lu },
  { 333, 333, unicode_gc_Ll },
  { 334, 334, unicode_gc_Lu },
  { 335, 335, unicode_gc_Ll },
  { 336, 336, unicode_gc_Lu },
  { 337, 337, unicode_gc_Ll },
  { 338, 338, unicode_gc_Lu },
  { 339, 339, unicode_gc_Ll },
  { 340, 340, unicode_gc_Lu },
  { 341, 341, unicode_gc_Ll },
  { 342, 342, unicode_gc_Lu },
  { 343, 343, unicode_gc_Ll },
  { 344, 344, unicode_gc_Lu },
  { 345, 345, unicode_gc_Ll },
  { 346, 346, unicode_gc_Lu },
  { 347, 347, unicode_gc_Ll },
  { 348, 348, unicode_gc_Lu },
  { 349, 349, unicode_gc_Ll },
  { 350, 350, unicode_gc_Lu },
  { 351, 351, unicode_gc_Ll },
  { 352, 352, unicode_gc_Lu },
  { 353, 353, unicode_gc_Ll },
  { 354, 354, unicode_gc_Lu },
  { 355, 355, unicode_gc_Ll },
  { 356, 356, unicode_gc_Lu },
  { 357, 357, unicode_gc_Ll },
  { 358, 358, unicode_gc_Lu },
  { 359, 359, unicode_gc_Ll },
  { 360, 360, unicode_gc_Lu },
  { 361, 361, unicode_gc_Ll },
  { 362, 362, unicode_gc_Lu },
  { 363, 363, unicode_gc_Ll },
  { 364, 364, unicode_gc_Lu },
  { 365, 365, unicode_gc_Ll },
  { 366, 366, unicode_gc_Lu },
  { 367, 367, unicode_gc_Ll },
  { 368, 368, unicode_gc_Lu },
  { 369, 369, unicode_gc_Ll },
  { 370, 370, unicode_gc_Lu },
  { 371, 371, unicode_gc_Ll },
  { 372, 372, unicode_gc_Lu },
  { 373, 373, unicode_gc_Ll },
  { 374, 374, unicode_gc_Lu },
  { 375, 375, unicode_gc_Ll },
  { 376, 377, unicode_gc_Lu },
  { 378, 378, unicode_gc_Ll },
  { 379, 379, unicode_gc_Lu },
  { 380, 380, unicode_gc_Ll },
  { 381, 381, unicode_gc_Lu },
  { 382, 384, unicode_gc_Ll },
  { 385, 386, unicode_gc_Lu },
  { 387, 387, unicode_gc_Ll },
  { 388, 388, unicode_gc_Lu },
  { 389, 389, unicode_gc_Ll },
  { 390, 391, unicode_gc_Lu },
  { 392, 392, unicode_gc_Ll },
  { 393, 395, unicode_gc_Lu },
  { 396, 397, unicode_gc_Ll },
  { 398, 401, unicode_gc_Lu },
  { 402, 402, unicode_gc_Ll },
  { 403, 404, unicode_gc_Lu },
  { 405, 405, unicode_gc_Ll },
  { 406, 408, unicode_gc_Lu },
  { 409, 411, unicode_gc_Ll },
  { 412, 413, unicode_gc_Lu },
  { 414, 414, unicode_gc_Ll },
  { 415, 416, unicode_gc_Lu },
  { 417, 417, unicode_gc_Ll },
  { 418, 418, unicode_gc_Lu },
  { 419, 419, unicode_gc_Ll },
  { 420, 420, unicode_gc_Lu },
  { 421, 421, unicode_gc_Ll },
  { 422, 423, unicode_gc_Lu },
  { 424, 424, unicode_gc_Ll },
  { 425, 425, unicode_gc_Lu },
  { 426, 427, unicode_gc_Ll },
  { 428, 428, unicode_gc_Lu },
  { 429, 429, unicode_gc_Ll },
  { 430, 431, unicode_gc_Lu },
  { 432, 432, unicode_gc_Ll },
  { 433, 435, unicode_gc_Lu },
  { 436, 436, unicode_gc_Ll },
  { 437, 437, unicode_gc_Lu },
  { 438, 438, unicode_gc_Ll },
  { 439, 440, unicode_gc_Lu },
  { 441, 442, unicode_gc_Ll },
  { 443, 443, unicode_gc_Lo },
  { 444, 444, unicode_gc_Lu },
  { 445, 447, unicode_gc_Ll },
  { 448, 451, unicode_gc_Lo },
  { 452, 452, unicode_gc_Lu },
  { 453, 453, unicode_gc_Lt },
  { 454, 454, unicode_gc_Ll },
  { 455, 455, unicode_gc_Lu },
  { 456, 456, unicode_gc_Lt },
  { 457, 457, unicode_gc_Ll },
  { 458, 458, unicode_gc_Lu },
  { 459, 459, unicode_gc_Lt },
  { 460, 460, unicode_gc_Ll },
  { 461, 461, unicode_gc_Lu },
  { 462, 462, unicode_gc_Ll },
  { 463, 463, unicode_gc_Lu },
  { 464, 464, unicode_gc_Ll },
  { 465, 465, unicode_gc_Lu },
  { 466, 466, unicode_gc_Ll },
  { 467, 467, unicode_gc_Lu },
  { 468, 468, unicode_gc_Ll },
  { 469, 469, unicode_gc_Lu },
  { 470, 470, unicode_gc_Ll },
  { 471, 471, unicode_gc_Lu },
  { 472, 472, unicode_gc_Ll },
  { 473, 473, unicode_gc_Lu },
  { 474, 474, unicode_gc_Ll },
  { 475, 475, unicode_gc_Lu },
  { 476, 477, unicode_gc_Ll },
  { 478, 478, unicode_gc_Lu },
  { 479, 479, unicode_gc_Ll },
  { 480, 480, unicode_gc_Lu },
  { 481, 481, unicode_gc_Ll },
  { 482, 482, unicode_gc_Lu },
  { 483, 483, unicode_gc_Ll },
  { 484, 484, unicode_gc_Lu },
  { 485, 485, unicode_gc_Ll },
  { 486, 486, unicode_gc_Lu },
  { 487, 487, unicode_gc_Ll },
  { 488, 488, unicode_gc_Lu },
  { 489, 489, unicode_gc_Ll },
  { 490, 490, unicode_gc_Lu },
  { 491, 491, unicode_gc_Ll },
  { 492, 492, unicode_gc_Lu },
  { 493, 493, unicode_gc_Ll },
  { 494, 494, unicode_gc_Lu },
  { 495, 496, unicode_gc_Ll },
  { 497, 497, unicode_gc_Lu },
  { 498, 498, unicode_gc_Lt },
  { 499, 499, unicode_gc_Ll },
  { 500, 500, unicode_gc_Lu },
  { 501, 501, unicode_gc_Ll },
  { 502, 504, unicode_gc_Lu },
  { 505, 505, unicode_gc_Ll },
  { 506, 506, unicode_gc_Lu },
  { 507, 507, unicode_gc_Ll },
  { 508, 508, unicode_gc_Lu },
  { 509, 509, unicode_gc_Ll },
  { 510, 510, unicode_gc_Lu },
  { 511, 511, unicode_gc_Ll },
  { 512, 512, unicode_gc_Lu },
  { 513, 513, unicode_gc_Ll },
  { 514, 514, unicode_gc_Lu },
  { 515, 515, unicode_gc_Ll },
  { 516, 516, unicode_gc_Lu },
  { 517, 517, unicode_gc_Ll },
  { 518, 518, unicode_gc_Lu },
  { 519, 519, unicode_gc_Ll },
  { 520, 520, unicode_gc_Lu },
  { 521, 521, unicode_gc_Ll },
  { 522, 522, unicode_gc_Lu },
  { 523, 523, unicode_gc_Ll },
  { 524, 524, unicode_gc_Lu },
  { 525, 525, unicode_gc_Ll },
  { 526, 526, unicode_gc_Lu },
  { 527, 527, unicode_gc_Ll },
  { 528, 528, unicode_gc_Lu },
  { 529, 529, unicode_gc_Ll },
  { 530, 530, unicode_gc_Lu },
  { 531, 531, unicode_gc_Ll },
  { 532, 532, unicode_gc_Lu },
  { 533, 533, unicode_gc_Ll },
  { 534, 534, unicode_gc_Lu },
  { 535, 535, unicode_gc_Ll },
  { 536, 536, unicode_gc_Lu },
  { 537, 537, unicode_gc_Ll },
  { 538, 538, unicode_gc_Lu },
  { 539, 539, unicode_gc_Ll },
  { 540, 540, unicode_gc_Lu },
  { 541, 541, unicode_gc_Ll },
  { 542, 542, unicode_gc_Lu },
  { 543, 543, unicode_gc_Ll },
  { 544, 544, unicode_gc_Lu },
  { 545, 545, unicode_gc_Ll },
  { 546, 546, unicode_gc_Lu },
  { 547, 547, unicode_gc_Ll },
  { 548, 548, unicode_gc_Lu },
  { 549, 549, unicode_gc_Ll },
  { 550, 550, unicode_gc_Lu },
  { 551, 551, unicode_gc_Ll },
  { 552, 552, unicode_gc_Lu },
  { 553, 553, unicode_gc_Ll },
  { 554, 554, unicode_gc_Lu },
  { 555, 555, unicode_gc_Ll },
  { 556, 556, unicode_gc_Lu },
  { 557, 557, unicode_gc_Ll },
  { 558, 558, unicode_gc_Lu },
  { 559, 559, unicode_gc_Ll },
  { 560, 560, unicode_gc_Lu },
  { 561, 561, unicode_gc_Ll },
  { 562, 562, unicode_gc_Lu },
  { 563, 687, unicode_gc_Ll },
  { 688, 705, unicode_gc_Lm },
  { 706, 709, unicode_gc_Sk },
  { 710, 721, unicode_gc_Lm },
  { 722, 735, unicode_gc_Sk },
  { 736, 740, unicode_gc_Lm },
  { 741, 749, unicode_gc_Sk },
  { 750, 750, unicode_gc_Lm },
  { 751, 767, unicode_gc_Sk },
  { 768, 883, unicode_gc_Mn },
  { 884, 889, unicode_gc_Sk },
  { 890, 893, unicode_gc_Lm },
  { 894, 899, unicode_gc_Po },
  { 900, 901, unicode_gc_Sk },
  { 902, 902, unicode_gc_Lu },
  { 903, 903, unicode_gc_Po },
  { 904, 911, unicode_gc_Lu },
  { 912, 912, unicode_gc_Ll },
  { 913, 939, unicode_gc_Lu },
  { 940, 977, unicode_gc_Ll },
  { 978, 980, unicode_gc_Lu },
  { 981, 983, unicode_gc_Ll },
  { 984, 984, unicode_gc_Lu },
  { 985, 985, unicode_gc_Ll },
  { 986, 986, unicode_gc_Lu },
  { 987, 987, unicode_gc_Ll },
  { 988, 988, unicode_gc_Lu },
  { 989, 989, unicode_gc_Ll },
  { 990, 990, unicode_gc_Lu },
  { 991, 991, unicode_gc_Ll },
  { 992, 992, unicode_gc_Lu },
  { 993, 993, unicode_gc_Ll },
  { 994, 994, unicode_gc_Lu },
  { 995, 995, unicode_gc_Ll },
  { 996, 996, unicode_gc_Lu },
  { 997, 997, unicode_gc_Ll },
  { 998, 998, unicode_gc_Lu },
  { 999, 999, unicode_gc_Ll },
  { 1000, 1000, unicode_gc_Lu },
  { 1001, 1001, unicode_gc_Ll },
  { 1002, 1002, unicode_gc_Lu },
  { 1003, 1003, unicode_gc_Ll },
  { 1004, 1004, unicode_gc_Lu },
  { 1005, 1005, unicode_gc_Ll },
  { 1006, 1006, unicode_gc_Lu },
  { 1007, 1011, unicode_gc_Ll },
  { 1012, 1012, unicode_gc_Lu },
  { 1013, 1013, unicode_gc_Ll },
  { 1014, 1014, unicode_gc_Sm },
  { 1015, 1015, unicode_gc_Lu },
  { 1016, 1016, unicode_gc_Ll },
  { 1017, 1018, unicode_gc_Lu },
  { 1019, 1023, unicode_gc_Ll },
  { 1024, 1071, unicode_gc_Lu },
  { 1072, 1119, unicode_gc_Ll },
  { 1120, 1120, unicode_gc_Lu },
  { 1121, 1121, unicode_gc_Ll },
  { 1122, 1122, unicode_gc_Lu },
  { 1123, 1123, unicode_gc_Ll },
  { 1124, 1124, unicode_gc_Lu },
  { 1125, 1125, unicode_gc_Ll },
  { 1126, 1126, unicode_gc_Lu },
  { 1127, 1127, unicode_gc_Ll },
  { 1128, 1128, unicode_gc_Lu },
  { 1129, 1129, unicode_gc_Ll },
  { 1130, 1130, unicode_gc_Lu },
  { 1131, 1131, unicode_gc_Ll },
  { 1132, 1132, unicode_gc_Lu },
  { 1133, 1133, unicode_gc_Ll },
  { 1134, 1134, unicode_gc_Lu },
  { 1135, 1135, unicode_gc_Ll },
  { 1136, 1136, unicode_gc_Lu },
  { 1137, 1137, unicode_gc_Ll },
  { 1138, 1138, unicode_gc_Lu },
  { 1139, 1139, unicode_gc_Ll },
  { 1140, 1140, unicode_gc_Lu },
  { 1141, 1141, unicode_gc_Ll },
  { 1142, 1142, unicode_gc_Lu },
  { 1143, 1143, unicode_gc_Ll },
  { 1144, 1144, unicode_gc_Lu },
  { 1145, 1145, unicode_gc_Ll },
  { 1146, 1146, unicode_gc_Lu },
  { 1147, 1147, unicode_gc_Ll },
  { 1148, 1148, unicode_gc_Lu },
  { 1149, 1149, unicode_gc_Ll },
  { 1150, 1150, unicode_gc_Lu },
  { 1151, 1151, unicode_gc_Ll },
  { 1152, 1152, unicode_gc_Lu },
  { 1153, 1153, unicode_gc_Ll },
  { 1154, 1154, unicode_gc_So },
  { 1155, 1159, unicode_gc_Mn },
  { 1160, 1161, unicode_gc_Me },
  { 1162, 1162, unicode_gc_Lu },
  { 1163, 1163, unicode_gc_Ll },
  { 1164, 1164, unicode_gc_Lu },
  { 1165, 1165, unicode_gc_Ll },
  { 1166, 1166, unicode_gc_Lu },
  { 1167, 1167, unicode_gc_Ll },
  { 1168, 1168, unicode_gc_Lu },
  { 1169, 1169, unicode_gc_Ll },
  { 1170, 1170, unicode_gc_Lu },
  { 1171, 1171, unicode_gc_Ll },
  { 1172, 1172, unicode_gc_Lu },
  { 1173, 1173, unicode_gc_Ll },
  { 1174, 1174, unicode_gc_Lu },
  { 1175, 1175, unicode_gc_Ll },
  { 1176, 1176, unicode_gc_Lu },
  { 1177, 1177, unicode_gc_Ll },
  { 1178, 1178, unicode_gc_Lu },
  { 1179, 1179, unicode_gc_Ll },
  { 1180, 1180, unicode_gc_Lu },
  { 1181, 1181, unicode_gc_Ll },
  { 1182, 1182, unicode_gc_Lu },
  { 1183, 1183, unicode_gc_Ll },
  { 1184, 1184, unicode_gc_Lu },
  { 1185, 1185, unicode_gc_Ll },
  { 1186, 1186, unicode_gc_Lu },
  { 1187, 1187, unicode_gc_Ll },
  { 1188, 1188, unicode_gc_Lu },
  { 1189, 1189, unicode_gc_Ll },
  { 1190, 1190, unicode_gc_Lu },
  { 1191, 1191, unicode_gc_Ll },
  { 1192, 1192, unicode_gc_Lu },
  { 1193, 1193, unicode_gc_Ll },
  { 1194, 1194, unicode_gc_Lu },
  { 1195, 1195, unicode_gc_Ll },
  { 1196, 1196, unicode_gc_Lu },
  { 1197, 1197, unicode_gc_Ll },
  { 1198, 1198, unicode_gc_Lu },
  { 1199, 1199, unicode_gc_Ll },
  { 1200, 1200, unicode_gc_Lu },
  { 1201, 1201, unicode_gc_Ll },
  { 1202, 1202, unicode_gc_Lu },
  { 1203, 1203, unicode_gc_Ll },
  { 1204, 1204, unicode_gc_Lu },
  { 1205, 1205, unicode_gc_Ll },
  { 1206, 1206, unicode_gc_Lu },
  { 1207, 1207, unicode_gc_Ll },
  { 1208, 1208, unicode_gc_Lu },
  { 1209, 1209, unicode_gc_Ll },
  { 1210, 1210, unicode_gc_Lu },
  { 1211, 1211, unicode_gc_Ll },
  { 1212, 1212, unicode_gc_Lu },
  { 1213, 1213, unicode_gc_Ll },
  { 1214, 1214, unicode_gc_Lu },
  { 1215, 1215, unicode_gc_Ll },
  { 1216, 1217, unicode_gc_Lu },
  { 1218, 1218, unicode_gc_Ll },
  { 1219, 1219, unicode_gc_Lu },
  { 1220, 1220, unicode_gc_Ll },
  { 1221, 1221, unicode_gc_Lu },
  { 1222, 1222, unicode_gc_Ll },
  { 1223, 1223, unicode_gc_Lu },
  { 1224, 1224, unicode_gc_Ll },
  { 1225, 1225, unicode_gc_Lu },
  { 1226, 1226, unicode_gc_Ll },
  { 1227, 1227, unicode_gc_Lu },
  { 1228, 1228, unicode_gc_Ll },
  { 1229, 1229, unicode_gc_Lu },
  { 1230, 1231, unicode_gc_Ll },
  { 1232, 1232, unicode_gc_Lu },
  { 1233, 1233, unicode_gc_Ll },
  { 1234, 1234, unicode_gc_Lu },
  { 1235, 1235, unicode_gc_Ll },
  { 1236, 1236, unicode_gc_Lu },
  { 1237, 1237, unicode_gc_Ll },
  { 1238, 1238, unicode_gc_Lu },
  { 1239, 1239, unicode_gc_Ll },
  { 1240, 1240, unicode_gc_Lu },
  { 1241, 1241, unicode_gc_Ll },
  { 1242, 1242, unicode_gc_Lu },
  { 1243, 1243, unicode_gc_Ll },
  { 1244, 1244, unicode_gc_Lu },
  { 1245, 1245, unicode_gc_Ll },
  { 1246, 1246, unicode_gc_Lu },
  { 1247, 1247, unicode_gc_Ll },
  { 1248, 1248, unicode_gc_Lu },
  { 1249, 1249, unicode_gc_Ll },
  { 1250, 1250, unicode_gc_Lu },
  { 1251, 1251, unicode_gc_Ll },
  { 1252, 1252, unicode_gc_Lu },
  { 1253, 1253, unicode_gc_Ll },
  { 1254, 1254, unicode_gc_Lu },
  { 1255, 1255, unicode_gc_Ll },
  { 1256, 1256, unicode_gc_Lu },
  { 1257, 1257, unicode_gc_Ll },
  { 1258, 1258, unicode_gc_Lu },
  { 1259, 1259, unicode_gc_Ll },
  { 1260, 1260, unicode_gc_Lu },
  { 1261, 1261, unicode_gc_Ll },
  { 1262, 1262, unicode_gc_Lu },
  { 1263, 1263, unicode_gc_Ll },
  { 1264, 1264, unicode_gc_Lu },
  { 1265, 1265, unicode_gc_Ll },
  { 1266, 1266, unicode_gc_Lu },
  { 1267, 1267, unicode_gc_Ll },
  { 1268, 1268, unicode_gc_Lu },
  { 1269, 1271, unicode_gc_Ll },
  { 1272, 1272, unicode_gc_Lu },
  { 1273, 1279, unicode_gc_Ll },
  { 1280, 1280, unicode_gc_Lu },
  { 1281, 1281, unicode_gc_Ll },
  { 1282, 1282, unicode_gc_Lu },
  { 1283, 1283, unicode_gc_Ll },
  { 1284, 1284, unicode_gc_Lu },
  { 1285, 1285, unicode_gc_Ll },
  { 1286, 1286, unicode_gc_Lu },
  { 1287, 1287, unicode_gc_Ll },
  { 1288, 1288, unicode_gc_Lu },
  { 1289, 1289, unicode_gc_Ll },
  { 1290, 1290, unicode_gc_Lu },
  { 1291, 1291, unicode_gc_Ll },
  { 1292, 1292, unicode_gc_Lu },
  { 1293, 1293, unicode_gc_Ll },
  { 1294, 1294, unicode_gc_Lu },
  { 1295, 1328, unicode_gc_Ll },
  { 1329, 1368, unicode_gc_Lu },
  { 1369, 1369, unicode_gc_Lm },
  { 1370, 1376, unicode_gc_Po },
  { 1377, 1416, unicode_gc_Ll },
  { 1417, 1417, unicode_gc_Po },
  { 1418, 1424, unicode_gc_Pd },
  { 1425, 1469, unicode_gc_Mn },
  { 1470, 1470, unicode_gc_Po },
  { 1471, 1471, unicode_gc_Mn },
  { 1472, 1472, unicode_gc_Po },
  { 1473, 1474, unicode_gc_Mn },
  { 1475, 1475, unicode_gc_Po },
  { 1476, 1487, unicode_gc_Mn },
  { 1488, 1522, unicode_gc_Lo },
  { 1523, 1535, unicode_gc_Po },
  { 1536, 1547, unicode_gc_Cf },
  { 1548, 1549, unicode_gc_Po },
  { 1550, 1551, unicode_gc_So },
  { 1552, 1562, unicode_gc_Mn },
  { 1563, 1568, unicode_gc_Po },
  { 1569, 1599, unicode_gc_Lo },
  { 1600, 1600, unicode_gc_Lm },
  { 1601, 1610, unicode_gc_Lo },
  { 1611, 1631, unicode_gc_Mn },
  { 1632, 1641, unicode_gc_Nd },
  { 1642, 1645, unicode_gc_Po },
  { 1646, 1647, unicode_gc_Lo },
  { 1648, 1648, unicode_gc_Mn },
  { 1649, 1747, unicode_gc_Lo },
  { 1748, 1748, unicode_gc_Po },
  { 1749, 1749, unicode_gc_Lo },
  { 1750, 1756, unicode_gc_Mn },
  { 1757, 1757, unicode_gc_Cf },
  { 1758, 1758, unicode_gc_Me },
  { 1759, 1764, unicode_gc_Mn },
  { 1765, 1766, unicode_gc_Lm },
  { 1767, 1768, unicode_gc_Mn },
  { 1769, 1769, unicode_gc_So },
  { 1770, 1773, unicode_gc_Mn },
  { 1774, 1775, unicode_gc_Lo },
  { 1776, 1785, unicode_gc_Nd },
  { 1786, 1788, unicode_gc_Lo },
  { 1789, 1790, unicode_gc_So },
  { 1791, 1791, unicode_gc_Lo },
  { 1792, 1806, unicode_gc_Po },
  { 1807, 1807, unicode_gc_Cf },
  { 1808, 1808, unicode_gc_Lo },
  { 1809, 1809, unicode_gc_Mn },
  { 1810, 1839, unicode_gc_Lo },
  { 1840, 1868, unicode_gc_Mn },
  { 1869, 1957, unicode_gc_Lo },
  { 1958, 1968, unicode_gc_Mn },
  { 1969, 2304, unicode_gc_Lo },
  { 2305, 2306, unicode_gc_Mn },
  { 2307, 2307, unicode_gc_Mc },
  { 2308, 2363, unicode_gc_Lo },
  { 2364, 2364, unicode_gc_Mn },
  { 2365, 2365, unicode_gc_Lo },
  { 2366, 2368, unicode_gc_Mc },
  { 2369, 2376, unicode_gc_Mn },
  { 2377, 2380, unicode_gc_Mc },
  { 2381, 2383, unicode_gc_Mn },
  { 2384, 2384, unicode_gc_Lo },
  { 2385, 2391, unicode_gc_Mn },
  { 2392, 2401, unicode_gc_Lo },
  { 2402, 2403, unicode_gc_Mn },
  { 2404, 2405, unicode_gc_Po },
  { 2406, 2415, unicode_gc_Nd },
  { 2416, 2432, unicode_gc_Po },
  { 2433, 2433, unicode_gc_Mn },
  { 2434, 2436, unicode_gc_Mc },
  { 2437, 2491, unicode_gc_Lo },
  { 2492, 2492, unicode_gc_Mn },
  { 2493, 2493, unicode_gc_Lo },
  { 2494, 2496, unicode_gc_Mc },
  { 2497, 2502, unicode_gc_Mn },
  { 2503, 2508, unicode_gc_Mc },
  { 2509, 2518, unicode_gc_Mn },
  { 2519, 2523, unicode_gc_Mc },
  { 2524, 2529, unicode_gc_Lo },
  { 2530, 2533, unicode_gc_Mn },
  { 2534, 2543, unicode_gc_Nd },
  { 2544, 2545, unicode_gc_Lo },
  { 2546, 2547, unicode_gc_Sc },
  { 2548, 2553, unicode_gc_No },
  { 2554, 2560, unicode_gc_So },
  { 2561, 2562, unicode_gc_Mn },
  { 2563, 2564, unicode_gc_Mc },
  { 2565, 2619, unicode_gc_Lo },
  { 2620, 2621, unicode_gc_Mn },
  { 2622, 2624, unicode_gc_Mc },
  { 2625, 2648, unicode_gc_Mn },
  { 2649, 2661, unicode_gc_Lo },
  { 2662, 2671, unicode_gc_Nd },
  { 2672, 2673, unicode_gc_Mn },
  { 2674, 2688, unicode_gc_Lo },
  { 2689, 2690, unicode_gc_Mn },
  { 2691, 2692, unicode_gc_Mc },
  { 2693, 2747, unicode_gc_Lo },
  { 2748, 2748, unicode_gc_Mn },
  { 2749, 2749, unicode_gc_Lo },
  { 2750, 2752, unicode_gc_Mc },
  { 2753, 2760, unicode_gc_Mn },
  { 2761, 2764, unicode_gc_Mc },
  { 2765, 2767, unicode_gc_Mn },
  { 2768, 2785, unicode_gc_Lo },
  { 2786, 2789, unicode_gc_Mn },
  { 2790, 2800, unicode_gc_Nd },
  { 2801, 2816, unicode_gc_Sc },
  { 2817, 2817, unicode_gc_Mn },
  { 2818, 2820, unicode_gc_Mc },
  { 2821, 2875, unicode_gc_Lo },
  { 2876, 2876, unicode_gc_Mn },
  { 2877, 2877, unicode_gc_Lo },
  { 2878, 2878, unicode_gc_Mc },
  { 2879, 2879, unicode_gc_Mn },
  { 2880, 2880, unicode_gc_Mc },
  { 2881, 2886, unicode_gc_Mn },
  { 2887, 2892, unicode_gc_Mc },
  { 2893, 2902, unicode_gc_Mn },
  { 2903, 2907, unicode_gc_Mc },
  { 2908, 2917, unicode_gc_Lo },
  { 2918, 2927, unicode_gc_Nd },
  { 2928, 2928, unicode_gc_So },
  { 2929, 2945, unicode_gc_Lo },
  { 2946, 2946, unicode_gc_Mn },
  { 2947, 3005, unicode_gc_Lo },
  { 3006, 3007, unicode_gc_Mc },
  { 3008, 3008, unicode_gc_Mn },
  { 3009, 3020, unicode_gc_Mc },
  { 3021, 3030, unicode_gc_Mn },
  { 3031, 3046, unicode_gc_Mc },
  { 3047, 3055, unicode_gc_Nd },
  { 3056, 3058, unicode_gc_No },
  { 3059, 3064, unicode_gc_So },
  { 3065, 3065, unicode_gc_Sc },
  { 3066, 3072, unicode_gc_So },
  { 3073, 3076, unicode_gc_Mc },
  { 3077, 3133, unicode_gc_Lo },
  { 3134, 3136, unicode_gc_Mn },
  { 3137, 3141, unicode_gc_Mc },
  { 3142, 3167, unicode_gc_Mn },
  { 3168, 3173, unicode_gc_Lo },
  { 3174, 3201, unicode_gc_Nd },
  { 3202, 3204, unicode_gc_Mc },
  { 3205, 3259, unicode_gc_Lo },
  { 3260, 3260, unicode_gc_Mn },
  { 3261, 3261, unicode_gc_Lo },
  { 3262, 3262, unicode_gc_Mc },
  { 3263, 3263, unicode_gc_Mn },
  { 3264, 3269, unicode_gc_Mc },
  { 3270, 3270, unicode_gc_Mn },
  { 3271, 3275, unicode_gc_Mc },
  { 3276, 3284, unicode_gc_Mn },
  { 3285, 3293, unicode_gc_Mc },
  { 3294, 3301, unicode_gc_Lo },
  { 3302, 3329, unicode_gc_Nd },
  { 3330, 3332, unicode_gc_Mc },
  { 3333, 3389, unicode_gc_Lo },
  { 3390, 3392, unicode_gc_Mc },
  { 3393, 3397, unicode_gc_Mn },
  { 3398, 3404, unicode_gc_Mc },
  { 3405, 3414, unicode_gc_Mn },
  { 3415, 3423, unicode_gc_Mc },
  { 3424, 3429, unicode_gc_Lo },
  { 3430, 3457, unicode_gc_Nd },
  { 3458, 3460, unicode_gc_Mc },
  { 3461, 3529, unicode_gc_Lo },
  { 3530, 3534, unicode_gc_Mn },
  { 3535, 3537, unicode_gc_Mc },
  { 3538, 3543, unicode_gc_Mn },
  { 3544, 3571, unicode_gc_Mc },
  { 3572, 3584, unicode_gc_Po },
  { 3585, 3632, unicode_gc_Lo },
  { 3633, 3633, unicode_gc_Mn },
  { 3634, 3635, unicode_gc_Lo },
  { 3636, 3646, unicode_gc_Mn },
  { 3647, 3647, unicode_gc_Sc },
  { 3648, 3653, unicode_gc_Lo },
  { 3654, 3654, unicode_gc_Lm },
  { 3655, 3662, unicode_gc_Mn },
  { 3663, 3663, unicode_gc_Po },
  { 3664, 3673, unicode_gc_Nd },
  { 3674, 3712, unicode_gc_Po },
  { 3713, 3760, unicode_gc_Lo },
  { 3761, 3761, unicode_gc_Mn },
  { 3762, 3763, unicode_gc_Lo },
  { 3764, 3772, unicode_gc_Mn },
  { 3773, 3781, unicode_gc_Lo },
  { 3782, 3783, unicode_gc_Lm },
  { 3784, 3791, unicode_gc_Mn },
  { 3792, 3803, unicode_gc_Nd },
  { 3804, 3840, unicode_gc_Lo },
  { 3841, 3843, unicode_gc_So },
  { 3844, 3858, unicode_gc_Po },
  { 3859, 3863, unicode_gc_So },
  { 3864, 3865, unicode_gc_Mn },
  { 3866, 3871, unicode_gc_So },
  { 3872, 3881, unicode_gc_Nd },
  { 3882, 3891, unicode_gc_No },
  { 3892, 3892, unicode_gc_So },
  { 3893, 3893, unicode_gc_Mn },
  { 3894, 3894, unicode_gc_So },
  { 3895, 3895, unicode_gc_Mn },
  { 3896, 3896, unicode_gc_So },
  { 3897, 3897, unicode_gc_Mn },
  { 3898, 3898, unicode_gc_Ps },
  { 3899, 3899, unicode_gc_Pe },
  { 3900, 3900, unicode_gc_Ps },
  { 3901, 3901, unicode_gc_Pe },
  { 3902, 3903, unicode_gc_Mc },
  { 3904, 3952, unicode_gc_Lo },
  { 3953, 3966, unicode_gc_Mn },
  { 3967, 3967, unicode_gc_Mc },
  { 3968, 3972, unicode_gc_Mn },
  { 3973, 3973, unicode_gc_Po },
  { 3974, 3975, unicode_gc_Mn },
  { 3976, 3983, unicode_gc_Lo },
  { 3984, 4029, unicode_gc_Mn },
  { 4030, 4037, unicode_gc_So },
  { 4038, 4038, unicode_gc_Mn },
  { 4039, 4095, unicode_gc_So },
  { 4096, 4139, unicode_gc_Lo },
  { 4140, 4140, unicode_gc_Mc },
  { 4141, 4144, unicode_gc_Mn },
  { 4145, 4145, unicode_gc_Mc },
  { 4146, 4151, unicode_gc_Mn },
  { 4152, 4152, unicode_gc_Mc },
  { 4153, 4159, unicode_gc_Mn },
  { 4160, 4169, unicode_gc_Nd },
  { 4170, 4175, unicode_gc_Po },
  { 4176, 4181, unicode_gc_Lo },
  { 4182, 4183, unicode_gc_Mc },
  { 4184, 4255, unicode_gc_Mn },
  { 4256, 4303, unicode_gc_Lu },
  { 4304, 4346, unicode_gc_Lo },
  { 4347, 4351, unicode_gc_Po },
  { 4352, 4960, unicode_gc_Lo },
  { 4961, 4968, unicode_gc_Po },
  { 4969, 4977, unicode_gc_Nd },
  { 4978, 5023, unicode_gc_No },
  { 5024, 5740, unicode_gc_Lo },
  { 5741, 5742, unicode_gc_Po },
  { 5743, 5759, unicode_gc_Lo },
  { 5760, 5760, unicode_gc_Zs },
  { 5761, 5786, unicode_gc_Lo },
  { 5787, 5787, unicode_gc_Ps },
  { 5788, 5791, unicode_gc_Pe },
  { 5792, 5866, unicode_gc_Lo },
  { 5867, 5869, unicode_gc_Po },
  { 5870, 5887, unicode_gc_Nl },
  { 5888, 5905, unicode_gc_Lo },
  { 5906, 5919, unicode_gc_Mn },
  { 5920, 5937, unicode_gc_Lo },
  { 5938, 5940, unicode_gc_Mn },
  { 5941, 5951, unicode_gc_Po },
  { 5952, 5969, unicode_gc_Lo },
  { 5970, 5983, unicode_gc_Mn },
  { 5984, 6001, unicode_gc_Lo },
  { 6002, 6015, unicode_gc_Mn },
  { 6016, 6067, unicode_gc_Lo },
  { 6068, 6069, unicode_gc_Cf },
  { 6070, 6070, unicode_gc_Mc },
  { 6071, 6077, unicode_gc_Mn },
  { 6078, 6085, unicode_gc_Mc },
  { 6086, 6086, unicode_gc_Mn },
  { 6087, 6088, unicode_gc_Mc },
  { 6089, 6099, unicode_gc_Mn },
  { 6100, 6102, unicode_gc_Po },
  { 6103, 6103, unicode_gc_Lm },
  { 6104, 6106, unicode_gc_Po },
  { 6107, 6107, unicode_gc_Sc },
  { 6108, 6108, unicode_gc_Lo },
  { 6109, 6111, unicode_gc_Mn },
  { 6112, 6127, unicode_gc_Nd },
  { 6128, 6143, unicode_gc_No },
  { 6144, 6149, unicode_gc_Po },
  { 6150, 6150, unicode_gc_Pd },
  { 6151, 6154, unicode_gc_Po },
  { 6155, 6157, unicode_gc_Mn },
  { 6158, 6159, unicode_gc_Zs },
  { 6160, 6175, unicode_gc_Nd },
  { 6176, 6210, unicode_gc_Lo },
  { 6211, 6211, unicode_gc_Lm },
  { 6212, 6312, unicode_gc_Lo },
  { 6313, 6399, unicode_gc_Mn },
  { 6400, 6431, unicode_gc_Lo },
  { 6432, 6434, unicode_gc_Mn },
  { 6435, 6438, unicode_gc_Mc },
  { 6439, 6440, unicode_gc_Mn },
  { 6441, 6449, unicode_gc_Mc },
  { 6450, 6450, unicode_gc_Mn },
  { 6451, 6456, unicode_gc_Mc },
  { 6457, 6463, unicode_gc_Mn },
  { 6464, 6467, unicode_gc_So },
  { 6468, 6469, unicode_gc_Po },
  { 6470, 6479, unicode_gc_Nd },
  { 6480, 6623, unicode_gc_Lo },
  { 6624, 7423, unicode_gc_So },
  { 7424, 7467, unicode_gc_Ll },
  { 7468, 7521, unicode_gc_Lm },
  { 7522, 7679, unicode_gc_Ll },
  { 7680, 7680, unicode_gc_Lu },
  { 7681, 7681, unicode_gc_Ll },
  { 7682, 7682, unicode_gc_Lu },
  { 7683, 7683, unicode_gc_Ll },
  { 7684, 7684, unicode_gc_Lu },
  { 7685, 7685, unicode_gc_Ll },
  { 7686, 7686, unicode_gc_Lu },
  { 7687, 7687, unicode_gc_Ll },
  { 7688, 7688, unicode_gc_Lu },
  { 7689, 7689, unicode_gc_Ll },
  { 7690, 7690, unicode_gc_Lu },
  { 7691, 7691, unicode_gc_Ll },
  { 7692, 7692, unicode_gc_Lu },
  { 7693, 7693, unicode_gc_Ll },
  { 7694, 7694, unicode_gc_Lu },
  { 7695, 7695, unicode_gc_Ll },
  { 7696, 7696, unicode_gc_Lu },
  { 7697, 7697, unicode_gc_Ll },
  { 7698, 7698, unicode_gc_Lu },
  { 7699, 7699, unicode_gc_Ll },
  { 7700, 7700, unicode_gc_Lu },
  { 7701, 7701, unicode_gc_Ll },
  { 7702, 7702, unicode_gc_Lu },
  { 7703, 7703, unicode_gc_Ll },
  { 7704, 7704, unicode_gc_Lu },
  { 7705, 7705, unicode_gc_Ll },
  { 7706, 7706, unicode_gc_Lu },
  { 7707, 7707, unicode_gc_Ll },
  { 7708, 7708, unicode_gc_Lu },
  { 7709, 7709, unicode_gc_Ll },
  { 7710, 7710, unicode_gc_Lu },
  { 7711, 7711, unicode_gc_Ll },
  { 7712, 7712, unicode_gc_Lu },
  { 7713, 7713, unicode_gc_Ll },
  { 7714, 7714, unicode_gc_Lu },
  { 7715, 7715, unicode_gc_Ll },
  { 7716, 7716, unicode_gc_Lu },
  { 7717, 7717, unicode_gc_Ll },
  { 7718, 7718, unicode_gc_Lu },
  { 7719, 7719, unicode_gc_Ll },
  { 7720, 7720, unicode_gc_Lu },
  { 7721, 7721, unicode_gc_Ll },
  { 7722, 7722, unicode_gc_Lu },
  { 7723, 7723, unicode_gc_Ll },
  { 7724, 7724, unicode_gc_Lu },
  { 7725, 7725, unicode_gc_Ll },
  { 7726, 7726, unicode_gc_Lu },
  { 7727, 7727, unicode_gc_Ll },
  { 7728, 7728, unicode_gc_Lu },
  { 7729, 7729, unicode_gc_Ll },
  { 7730, 7730, unicode_gc_Lu },
  { 7731, 7731, unicode_gc_Ll },
  { 7732, 7732, unicode_gc_Lu },
  { 7733, 7733, unicode_gc_Ll },
  { 7734, 7734, unicode_gc_Lu },
  { 7735, 7735, unicode_gc_Ll },
  { 7736, 7736, unicode_gc_Lu },
  { 7737, 7737, unicode_gc_Ll },
  { 7738, 7738, unicode_gc_Lu },
  { 7739, 7739, unicode_gc_Ll },
  { 7740, 7740, unicode_gc_Lu },
  { 7741, 7741, unicode_gc_Ll },
  { 7742, 7742, unicode_gc_Lu },
  { 7743, 7743, unicode_gc_Ll },
  { 7744, 7744, unicode_gc_Lu },
  { 7745, 7745, unicode_gc_Ll },
  { 7746, 7746, unicode_gc_Lu },
  { 7747, 7747, unicode_gc_Ll },
  { 7748, 7748, unicode_gc_Lu },
  { 7749, 7749, unicode_gc_Ll },
  { 7750, 7750, unicode_gc_Lu },
  { 7751, 7751, unicode_gc_Ll },
  { 7752, 7752, unicode_gc_Lu },
  { 7753, 7753, unicode_gc_Ll },
  { 7754, 7754, unicode_gc_Lu },
  { 7755, 7755, unicode_gc_Ll },
  { 7756, 7756, unicode_gc_Lu },
  { 7757, 7757, unicode_gc_Ll },
  { 7758, 7758, unicode_gc_Lu },
  { 7759, 7759, unicode_gc_Ll },
  { 7760, 7760, unicode_gc_Lu },
  { 7761, 7761, unicode_gc_Ll },
  { 7762, 7762, unicode_gc_Lu },
  { 7763, 7763, unicode_gc_Ll },
  { 7764, 7764, unicode_gc_Lu },
  { 7765, 7765, unicode_gc_Ll },
  { 7766, 7766, unicode_gc_Lu },
  { 7767, 7767, unicode_gc_Ll },
  { 7768, 7768, unicode_gc_Lu },
  { 7769, 7769, unicode_gc_Ll },
  { 7770, 7770, unicode_gc_Lu },
  { 7771, 7771, unicode_gc_Ll },
  { 7772, 7772, unicode_gc_Lu },
  { 7773, 7773, unicode_gc_Ll },
  { 7774, 7774, unicode_gc_Lu },
  { 7775, 7775, unicode_gc_Ll },
  { 7776, 7776, unicode_gc_Lu },
  { 7777, 7777, unicode_gc_Ll },
  { 7778, 7778, unicode_gc_Lu },
  { 7779, 7779, unicode_gc_Ll },
  { 7780, 7780, unicode_gc_Lu },
  { 7781, 7781, unicode_gc_Ll },
  { 7782, 7782, unicode_gc_Lu },
  { 7783, 7783, unicode_gc_Ll },
  { 7784, 7784, unicode_gc_Lu },
  { 7785, 7785, unicode_gc_Ll },
  { 7786, 7786, unicode_gc_Lu },
  { 7787, 7787, unicode_gc_Ll },
  { 7788, 7788, unicode_gc_Lu },
  { 7789, 7789, unicode_gc_Ll },
  { 7790, 7790, unicode_gc_Lu },
  { 7791, 7791, unicode_gc_Ll },
  { 7792, 7792, unicode_gc_Lu },
  { 7793, 7793, unicode_gc_Ll },
  { 7794, 7794, unicode_gc_Lu },
  { 7795, 7795, unicode_gc_Ll },
  { 7796, 7796, unicode_gc_Lu },
  { 7797, 7797, unicode_gc_Ll },
  { 7798, 7798, unicode_gc_Lu },
  { 7799, 7799, unicode_gc_Ll },
  { 7800, 7800, unicode_gc_Lu },
  { 7801, 7801, unicode_gc_Ll },
  { 7802, 7802, unicode_gc_Lu },
  { 7803, 7803, unicode_gc_Ll },
  { 7804, 7804, unicode_gc_Lu },
  { 7805, 7805, unicode_gc_Ll },
  { 7806, 7806, unicode_gc_Lu },
  { 7807, 7807, unicode_gc_Ll },
  { 7808, 7808, unicode_gc_Lu },
  { 7809, 7809, unicode_gc_Ll },
  { 7810, 7810, unicode_gc_Lu },
  { 7811, 7811, unicode_gc_Ll },
  { 7812, 7812, unicode_gc_Lu },
  { 7813, 7813, unicode_gc_Ll },
  { 7814, 7814, unicode_gc_Lu },
  { 7815, 7815, unicode_gc_Ll },
  { 7816, 7816, unicode_gc_Lu },
  { 7817, 7817, unicode_gc_Ll },
  { 7818, 7818, unicode_gc_Lu },
  { 7819, 7819, unicode_gc_Ll },
  { 7820, 7820, unicode_gc_Lu },
  { 7821, 7821, unicode_gc_Ll },
  { 7822, 7822, unicode_gc_Lu },
  { 7823, 7823, unicode_gc_Ll },
  { 7824, 7824, unicode_gc_Lu },
  { 7825, 7825, unicode_gc_Ll },
  { 7826, 7826, unicode_gc_Lu },
  { 7827, 7827, unicode_gc_Ll },
  { 7828, 7828, unicode_gc_Lu },
  { 7829, 7839, unicode_gc_Ll },
  { 7840, 7840, unicode_gc_Lu },
  { 7841, 7841, unicode_gc_Ll },
  { 7842, 7842, unicode_gc_Lu },
  { 7843, 7843, unicode_gc_Ll },
  { 7844, 7844, unicode_gc_Lu },
  { 7845, 7845, unicode_gc_Ll },
  { 7846, 7846, unicode_gc_Lu },
  { 7847, 7847, unicode_gc_Ll },
  { 7848, 7848, unicode_gc_Lu },
  { 7849, 7849, unicode_gc_Ll },
  { 7850, 7850, unicode_gc_Lu },
  { 7851, 7851, unicode_gc_Ll },
  { 7852, 7852, unicode_gc_Lu },
  { 7853, 7853, unicode_gc_Ll },
  { 7854, 7854, unicode_gc_Lu },
  { 7855, 7855, unicode_gc_Ll },
  { 7856, 7856, unicode_gc_Lu },
  { 7857, 7857, unicode_gc_Ll },
  { 7858, 7858, unicode_gc_Lu },
  { 7859, 7859, unicode_gc_Ll },
  { 7860, 7860, unicode_gc_Lu },
  { 7861, 7861, unicode_gc_Ll },
  { 7862, 7862, unicode_gc_Lu },
  { 7863, 7863, unicode_gc_Ll },
  { 7864, 7864, unicode_gc_Lu },
  { 7865, 7865, unicode_gc_Ll },
  { 7866, 7866, unicode_gc_Lu },
  { 7867, 7867, unicode_gc_Ll },
  { 7868, 7868, unicode_gc_Lu },
  { 7869, 7869, unicode_gc_Ll },
  { 7870, 7870, unicode_gc_Lu },
  { 7871, 7871, unicode_gc_Ll },
  { 7872, 7872, unicode_gc_Lu },
  { 7873, 7873, unicode_gc_Ll },
  { 7874, 7874, unicode_gc_Lu },
  { 7875, 7875, unicode_gc_Ll },
  { 7876, 7876, unicode_gc_Lu },
  { 7877, 7877, unicode_gc_Ll },
  { 7878, 7878, unicode_gc_Lu },
  { 7879, 7879, unicode_gc_Ll },
  { 7880, 7880, unicode_gc_Lu },
  { 7881, 7881, unicode_gc_Ll },
  { 7882, 7882, unicode_gc_Lu },
  { 7883, 7883, unicode_gc_Ll },
  { 7884, 7884, unicode_gc_Lu },
  { 7885, 7885, unicode_gc_Ll },
  { 7886, 7886, unicode_gc_Lu },
  { 7887, 7887, unicode_gc_Ll },
  { 7888, 7888, unicode_gc_Lu },
  { 7889, 7889, unicode_gc_Ll },
  { 7890, 7890, unicode_gc_Lu },
  { 7891, 7891, unicode_gc_Ll },
  { 7892, 7892, unicode_gc_Lu },
  { 7893, 7893, unicode_gc_Ll },
  { 7894, 7894, unicode_gc_Lu },
  { 7895, 7895, unicode_gc_Ll },
  { 7896, 7896, unicode_gc_Lu },
  { 7897, 7897, unicode_gc_Ll },
  { 7898, 7898, unicode_gc_Lu },
  { 7899, 7899, unicode_gc_Ll },
  { 7900, 7900, unicode_gc_Lu },
  { 7901, 7901, unicode_gc_Ll },
  { 7902, 7902, unicode_gc_Lu },
  { 7903, 7903, unicode_gc_Ll },
  { 7904, 7904, unicode_gc_Lu },
  { 7905, 7905, unicode_gc_Ll },
  { 7906, 7906, unicode_gc_Lu },
  { 7907, 7907, unicode_gc_Ll },
  { 7908, 7908, unicode_gc_Lu },
  { 7909, 7909, unicode_gc_Ll },
  { 7910, 7910, unicode_gc_Lu },
  { 7911, 7911, unicode_gc_Ll },
  { 7912, 7912, unicode_gc_Lu },
  { 7913, 7913, unicode_gc_Ll },
  { 7914, 7914, unicode_gc_Lu },
  { 7915, 7915, unicode_gc_Ll },
  { 7916, 7916, unicode_gc_Lu },
  { 7917, 7917, unicode_gc_Ll },
  { 7918, 7918, unicode_gc_Lu },
  { 7919, 7919, unicode_gc_Ll },
  { 7920, 7920, unicode_gc_Lu },
  { 7921, 7921, unicode_gc_Ll },
  { 7922, 7922, unicode_gc_Lu },
  { 7923, 7923, unicode_gc_Ll },
  { 7924, 7924, unicode_gc_Lu },
  { 7925, 7925, unicode_gc_Ll },
  { 7926, 7926, unicode_gc_Lu },
  { 7927, 7927, unicode_gc_Ll },
  { 7928, 7928, unicode_gc_Lu },
  { 7929, 7943, unicode_gc_Ll },
  { 7944, 7951, unicode_gc_Lu },
  { 7952, 7959, unicode_gc_Ll },
  { 7960, 7967, unicode_gc_Lu },
  { 7968, 7975, unicode_gc_Ll },
  { 7976, 7983, unicode_gc_Lu },
  { 7984, 7991, unicode_gc_Ll },
  { 7992, 7999, unicode_gc_Lu },
  { 8000, 8007, unicode_gc_Ll },
  { 8008, 8015, unicode_gc_Lu },
  { 8016, 8024, unicode_gc_Ll },
  { 8025, 8031, unicode_gc_Lu },
  { 8032, 8039, unicode_gc_Ll },
  { 8040, 8047, unicode_gc_Lu },
  { 8048, 8071, unicode_gc_Ll },
  { 8072, 8079, unicode_gc_Lt },
  { 8080, 8087, unicode_gc_Ll },
  { 8088, 8095, unicode_gc_Lt },
  { 8096, 8103, unicode_gc_Ll },
  { 8104, 8111, unicode_gc_Lt },
  { 8112, 8119, unicode_gc_Ll },
  { 8120, 8123, unicode_gc_Lu },
  { 8124, 8124, unicode_gc_Lt },
  { 8125, 8125, unicode_gc_Sk },
  { 8126, 8126, unicode_gc_Ll },
  { 8127, 8129, unicode_gc_Sk },
  { 8130, 8135, unicode_gc_Ll },
  { 8136, 8139, unicode_gc_Lu },
  { 8140, 8140, unicode_gc_Lt },
  { 8141, 8143, unicode_gc_Sk },
  { 8144, 8151, unicode_gc_Ll },
  { 8152, 8156, unicode_gc_Lu },
  { 8157, 8159, unicode_gc_Sk },
  { 8160, 8167, unicode_gc_Ll },
  { 8168, 8172, unicode_gc_Lu },
  { 8173, 8177, unicode_gc_Sk },
  { 8178, 8183, unicode_gc_Ll },
  { 8184, 8187, unicode_gc_Lu },
  { 8188, 8188, unicode_gc_Lt },
  { 8189, 8191, unicode_gc_Sk },
  { 8192, 8203, unicode_gc_Zs },
  { 8204, 8207, unicode_gc_Cf },
  { 8208, 8213, unicode_gc_Pd },
  { 8214, 8215, unicode_gc_Po },
  { 8216, 8216, unicode_gc_Pi },
  { 8217, 8217, unicode_gc_Pf },
  { 8218, 8218, unicode_gc_Ps },
  { 8219, 8220, unicode_gc_Pi },
  { 8221, 8221, unicode_gc_Pf },
  { 8222, 8222, unicode_gc_Ps },
  { 8223, 8223, unicode_gc_Pi },
  { 8224, 8231, unicode_gc_Po },
  { 8232, 8232, unicode_gc_Zl },
  { 8233, 8233, unicode_gc_Zp },
  { 8234, 8238, unicode_gc_Cf },
  { 8239, 8239, unicode_gc_Zs },
  { 8240, 8248, unicode_gc_Po },
  { 8249, 8249, unicode_gc_Pi },
  { 8250, 8250, unicode_gc_Pf },
  { 8251, 8254, unicode_gc_Po },
  { 8255, 8256, unicode_gc_Pc },
  { 8257, 8259, unicode_gc_Po },
  { 8260, 8260, unicode_gc_Sm },
  { 8261, 8261, unicode_gc_Ps },
  { 8262, 8262, unicode_gc_Pe },
  { 8263, 8273, unicode_gc_Po },
  { 8274, 8274, unicode_gc_Sm },
  { 8275, 8275, unicode_gc_Po },
  { 8276, 8278, unicode_gc_Pc },
  { 8279, 8286, unicode_gc_Po },
  { 8287, 8287, unicode_gc_Zs },
  { 8288, 8303, unicode_gc_Cf },
  { 8304, 8304, unicode_gc_No },
  { 8305, 8307, unicode_gc_Ll },
  { 8308, 8313, unicode_gc_No },
  { 8314, 8316, unicode_gc_Sm },
  { 8317, 8317, unicode_gc_Ps },
  { 8318, 8318, unicode_gc_Pe },
  { 8319, 8319, unicode_gc_Ll },
  { 8320, 8329, unicode_gc_No },
  { 8330, 8332, unicode_gc_Sm },
  { 8333, 8333, unicode_gc_Ps },
  { 8334, 8351, unicode_gc_Pe },
  { 8352, 8399, unicode_gc_Sc },
  { 8400, 8412, unicode_gc_Mn },
  { 8413, 8416, unicode_gc_Me },
  { 8417, 8417, unicode_gc_Mn },
  { 8418, 8420, unicode_gc_Me },
  { 8421, 8447, unicode_gc_Mn },
  { 8448, 8449, unicode_gc_So },
  { 8450, 8450, unicode_gc_Lu },
  { 8451, 8454, unicode_gc_So },
  { 8455, 8455, unicode_gc_Lu },
  { 8456, 8457, unicode_gc_So },
  { 8458, 8458, unicode_gc_Ll },
  { 8459, 8461, unicode_gc_Lu },
  { 8462, 8463, unicode_gc_Ll },
  { 8464, 8466, unicode_gc_Lu },
  { 8467, 8467, unicode_gc_Ll },
  { 8468, 8468, unicode_gc_So },
  { 8469, 8469, unicode_gc_Lu },
  { 8470, 8472, unicode_gc_So },
  { 8473, 8477, unicode_gc_Lu },
  { 8478, 8483, unicode_gc_So },
  { 8484, 8484, unicode_gc_Lu },
  { 8485, 8485, unicode_gc_So },
  { 8486, 8486, unicode_gc_Lu },
  { 8487, 8487, unicode_gc_So },
  { 8488, 8488, unicode_gc_Lu },
  { 8489, 8489, unicode_gc_So },
  { 8490, 8493, unicode_gc_Lu },
  { 8494, 8494, unicode_gc_So },
  { 8495, 8495, unicode_gc_Ll },
  { 8496, 8497, unicode_gc_Lu },
  { 8498, 8498, unicode_gc_So },
  { 8499, 8499, unicode_gc_Lu },
  { 8500, 8500, unicode_gc_Ll },
  { 8501, 8504, unicode_gc_Lo },
  { 8505, 8505, unicode_gc_Ll },
  { 8506, 8508, unicode_gc_So },
  { 8509, 8509, unicode_gc_Ll },
  { 8510, 8511, unicode_gc_Lu },
  { 8512, 8516, unicode_gc_Sm },
  { 8517, 8517, unicode_gc_Lu },
  { 8518, 8521, unicode_gc_Ll },
  { 8522, 8522, unicode_gc_So },
  { 8523, 8530, unicode_gc_Sm },
  { 8531, 8543, unicode_gc_No },
  { 8544, 8591, unicode_gc_Nl },
  { 8592, 8596, unicode_gc_Sm },
  { 8597, 8601, unicode_gc_So },
  { 8602, 8603, unicode_gc_Sm },
  { 8604, 8607, unicode_gc_So },
  { 8608, 8608, unicode_gc_Sm },
  { 8609, 8610, unicode_gc_So },
  { 8611, 8611, unicode_gc_Sm },
  { 8612, 8613, unicode_gc_So },
  { 8614, 8614, unicode_gc_Sm },
  { 8615, 8621, unicode_gc_So },
  { 8622, 8622, unicode_gc_Sm },
  { 8623, 8653, unicode_gc_So },
  { 8654, 8655, unicode_gc_Sm },
  { 8656, 8657, unicode_gc_So },
  { 8658, 8658, unicode_gc_Sm },
  { 8659, 8659, unicode_gc_So },
  { 8660, 8660, unicode_gc_Sm },
  { 8661, 8691, unicode_gc_So },
  { 8692, 8959, unicode_gc_Sm },
  { 8960, 8967, unicode_gc_So },
  { 8968, 8971, unicode_gc_Sm },
  { 8972, 8991, unicode_gc_So },
  { 8992, 8993, unicode_gc_Sm },
  { 8994, 9000, unicode_gc_So },
  { 9001, 9001, unicode_gc_Ps },
  { 9002, 9002, unicode_gc_Pe },
  { 9003, 9083, unicode_gc_So },
  { 9084, 9084, unicode_gc_Sm },
  { 9085, 9114, unicode_gc_So },
  { 9115, 9139, unicode_gc_Sm },
  { 9140, 9140, unicode_gc_Ps },
  { 9141, 9141, unicode_gc_Pe },
  { 9142, 9142, unicode_gc_Po },
  { 9143, 9311, unicode_gc_So },
  { 9312, 9371, unicode_gc_No },
  { 9372, 9449, unicode_gc_So },
  { 9450, 9471, unicode_gc_No },
  { 9472, 9654, unicode_gc_So },
  { 9655, 9655, unicode_gc_Sm },
  { 9656, 9664, unicode_gc_So },
  { 9665, 9665, unicode_gc_Sm },
  { 9666, 9719, unicode_gc_So },
  { 9720, 9727, unicode_gc_Sm },
  { 9728, 9838, unicode_gc_So },
  { 9839, 9839, unicode_gc_Sm },
  { 9840, 10087, unicode_gc_So },
  { 10088, 10088, unicode_gc_Ps },
  { 10089, 10089, unicode_gc_Pe },
  { 10090, 10090, unicode_gc_Ps },
  { 10091, 10091, unicode_gc_Pe },
  { 10092, 10092, unicode_gc_Ps },
  { 10093, 10093, unicode_gc_Pe },
  { 10094, 10094, unicode_gc_Ps },
  { 10095, 10095, unicode_gc_Pe },
  { 10096, 10096, unicode_gc_Ps },
  { 10097, 10097, unicode_gc_Pe },
  { 10098, 10098, unicode_gc_Ps },
  { 10099, 10099, unicode_gc_Pe },
  { 10100, 10100, unicode_gc_Ps },
  { 10101, 10101, unicode_gc_Pe },
  { 10102, 10131, unicode_gc_No },
  { 10132, 10191, unicode_gc_So },
  { 10192, 10213, unicode_gc_Sm },
  { 10214, 10214, unicode_gc_Ps },
  { 10215, 10215, unicode_gc_Pe },
  { 10216, 10216, unicode_gc_Ps },
  { 10217, 10217, unicode_gc_Pe },
  { 10218, 10218, unicode_gc_Ps },
  { 10219, 10223, unicode_gc_Pe },
  { 10224, 10239, unicode_gc_Sm },
  { 10240, 10495, unicode_gc_So },
  { 10496, 10626, unicode_gc_Sm },
  { 10627, 10627, unicode_gc_Ps },
  { 10628, 10628, unicode_gc_Pe },
  { 10629, 10629, unicode_gc_Ps },
  { 10630, 10630, unicode_gc_Pe },
  { 10631, 10631, unicode_gc_Ps },
  { 10632, 10632, unicode_gc_Pe },
  { 10633, 10633, unicode_gc_Ps },
  { 10634, 10634, unicode_gc_Pe },
  { 10635, 10635, unicode_gc_Ps },
  { 10636, 10636, unicode_gc_Pe },
  { 10637, 10637, unicode_gc_Ps },
  { 10638, 10638, unicode_gc_Pe },
  { 10639, 10639, unicode_gc_Ps },
  { 10640, 10640, unicode_gc_Pe },
  { 10641, 10641, unicode_gc_Ps },
  { 10642, 10642, unicode_gc_Pe },
  { 10643, 10643, unicode_gc_Ps },
  { 10644, 10644, unicode_gc_Pe },
  { 10645, 10645, unicode_gc_Ps },
  { 10646, 10646, unicode_gc_Pe },
  { 10647, 10647, unicode_gc_Ps },
  { 10648, 10648, unicode_gc_Pe },
  { 10649, 10711, unicode_gc_Sm },
  { 10712, 10712, unicode_gc_Ps },
  { 10713, 10713, unicode_gc_Pe },
  { 10714, 10714, unicode_gc_Ps },
  { 10715, 10715, unicode_gc_Pe },
  { 10716, 10747, unicode_gc_Sm },
  { 10748, 10748, unicode_gc_Ps },
  { 10749, 10749, unicode_gc_Pe },
  { 10750, 11007, unicode_gc_Sm },
  { 11008, 12287, unicode_gc_So },
  { 12288, 12288, unicode_gc_Zs },
  { 12289, 12291, unicode_gc_Po },
  { 12292, 12292, unicode_gc_So },
  { 12293, 12293, unicode_gc_Lm },
  { 12294, 12294, unicode_gc_Lo },
  { 12295, 12295, unicode_gc_Nl },
  { 12296, 12296, unicode_gc_Ps },
  { 12297, 12297, unicode_gc_Pe },
  { 12298, 12298, unicode_gc_Ps },
  { 12299, 12299, unicode_gc_Pe },
  { 12300, 12300, unicode_gc_Ps },
  { 12301, 12301, unicode_gc_Pe },
  { 12302, 12302, unicode_gc_Ps },
  { 12303, 12303, unicode_gc_Pe },
  { 12304, 12304, unicode_gc_Ps },
  { 12305, 12305, unicode_gc_Pe },
  { 12306, 12307, unicode_gc_So },
  { 12308, 12308, unicode_gc_Ps },
  { 12309, 12309, unicode_gc_Pe },
  { 12310, 12310, unicode_gc_Ps },
  { 12311, 12311, unicode_gc_Pe },
  { 12312, 12312, unicode_gc_Ps },
  { 12313, 12313, unicode_gc_Pe },
  { 12314, 12314, unicode_gc_Ps },
  { 12315, 12315, unicode_gc_Pe },
  { 12316, 12316, unicode_gc_Pd },
  { 12317, 12317, unicode_gc_Ps },
  { 12318, 12319, unicode_gc_Pe },
  { 12320, 12320, unicode_gc_So },
  { 12321, 12329, unicode_gc_Nl },
  { 12330, 12335, unicode_gc_Mn },
  { 12336, 12336, unicode_gc_Pd },
  { 12337, 12341, unicode_gc_Lm },
  { 12342, 12343, unicode_gc_So },
  { 12344, 12346, unicode_gc_Nl },
  { 12347, 12347, unicode_gc_Lm },
  { 12348, 12348, unicode_gc_Lo },
  { 12349, 12349, unicode_gc_Po },
  { 12350, 12352, unicode_gc_So },
  { 12353, 12440, unicode_gc_Lo },
  { 12441, 12442, unicode_gc_Mn },
  { 12443, 12444, unicode_gc_Sk },
  { 12445, 12446, unicode_gc_Lm },
  { 12447, 12447, unicode_gc_Lo },
  { 12448, 12448, unicode_gc_Pd },
  { 12449, 12538, unicode_gc_Lo },
  { 12539, 12539, unicode_gc_Pc },
  { 12540, 12542, unicode_gc_Lm },
  { 12543, 12687, unicode_gc_Lo },
  { 12688, 12689, unicode_gc_So },
  { 12690, 12693, unicode_gc_No },
  { 12694, 12703, unicode_gc_So },
  { 12704, 12799, unicode_gc_Lo },
  { 12800, 12831, unicode_gc_So },
  { 12832, 12841, unicode_gc_No },
  { 12842, 12880, unicode_gc_So },
  { 12881, 12895, unicode_gc_No },
  { 12896, 12927, unicode_gc_So },
  { 12928, 12937, unicode_gc_No },
  { 12938, 12976, unicode_gc_So },
  { 12977, 12991, unicode_gc_No },
  { 12992, 13311, unicode_gc_So },
  { 13312, 19903, unicode_gc_Lo },
  { 19904, 19967, unicode_gc_So },
  { 19968, 42127, unicode_gc_Lo },
  { 42128, 44031, unicode_gc_So },
  { 44032, 55295, unicode_gc_Lo },
  { 55296, 57343, unicode_gc_Cs },
  { 57344, 63743, unicode_gc_Co },
  { 63744, 64255, unicode_gc_Lo },
  { 64256, 64284, unicode_gc_Ll },
  { 64285, 64285, unicode_gc_Lo },
  { 64286, 64286, unicode_gc_Mn },
  { 64287, 64296, unicode_gc_Lo },
  { 64297, 64297, unicode_gc_Sm },
  { 64298, 64829, unicode_gc_Lo },
  { 64830, 64830, unicode_gc_Ps },
  { 64831, 64847, unicode_gc_Pe },
  { 64848, 65019, unicode_gc_Lo },
  { 65020, 65020, unicode_gc_Sc },
  { 65021, 65023, unicode_gc_So },
  { 65024, 65071, unicode_gc_Mn },
  { 65072, 65072, unicode_gc_Po },
  { 65073, 65074, unicode_gc_Pd },
  { 65075, 65076, unicode_gc_Pc },
  { 65077, 65077, unicode_gc_Ps },
  { 65078, 65078, unicode_gc_Pe },
  { 65079, 65079, unicode_gc_Ps },
  { 65080, 65080, unicode_gc_Pe },
  { 65081, 65081, unicode_gc_Ps },
  { 65082, 65082, unicode_gc_Pe },
  { 65083, 65083, unicode_gc_Ps },
  { 65084, 65084, unicode_gc_Pe },
  { 65085, 65085, unicode_gc_Ps },
  { 65086, 65086, unicode_gc_Pe },
  { 65087, 65087, unicode_gc_Ps },
  { 65088, 65088, unicode_gc_Pe },
  { 65089, 65089, unicode_gc_Ps },
  { 65090, 65090, unicode_gc_Pe },
  { 65091, 65091, unicode_gc_Ps },
  { 65092, 65092, unicode_gc_Pe },
  { 65093, 65094, unicode_gc_Po },
  { 65095, 65095, unicode_gc_Ps },
  { 65096, 65096, unicode_gc_Pe },
  { 65097, 65100, unicode_gc_Po },
  { 65101, 65103, unicode_gc_Pc },
  { 65104, 65111, unicode_gc_Po },
  { 65112, 65112, unicode_gc_Pd },
  { 65113, 65113, unicode_gc_Ps },
  { 65114, 65114, unicode_gc_Pe },
  { 65115, 65115, unicode_gc_Ps },
  { 65116, 65116, unicode_gc_Pe },
  { 65117, 65117, unicode_gc_Ps },
  { 65118, 65118, unicode_gc_Pe },
  { 65119, 65121, unicode_gc_Po },
  { 65122, 65122, unicode_gc_Sm },
  { 65123, 65123, unicode_gc_Pd },
  { 65124, 65127, unicode_gc_Sm },
  { 65128, 65128, unicode_gc_Po },
  { 65129, 65129, unicode_gc_Sc },
  { 65130, 65135, unicode_gc_Po },
  { 65136, 65278, unicode_gc_Lo },
  { 65279, 65280, unicode_gc_Cf },
  { 65281, 65283, unicode_gc_Po },
  { 65284, 65284, unicode_gc_Sc },
  { 65285, 65287, unicode_gc_Po },
  { 65288, 65288, unicode_gc_Ps },
  { 65289, 65289, unicode_gc_Pe },
  { 65290, 65290, unicode_gc_Po },
  { 65291, 65291, unicode_gc_Sm },
  { 65292, 65292, unicode_gc_Po },
  { 65293, 65293, unicode_gc_Pd },
  { 65294, 65295, unicode_gc_Po },
  { 65296, 65305, unicode_gc_Nd },
  { 65306, 65307, unicode_gc_Po },
  { 65308, 65310, unicode_gc_Sm },
  { 65311, 65312, unicode_gc_Po },
  { 65313, 65338, unicode_gc_Lu },
  { 65339, 65339, unicode_gc_Ps },
  { 65340, 65340, unicode_gc_Po },
  { 65341, 65341, unicode_gc_Pe },
  { 65342, 65342, unicode_gc_Sk },
  { 65343, 65343, unicode_gc_Pc },
  { 65344, 65344, unicode_gc_Sk },
  { 65345, 65370, unicode_gc_Ll },
  { 65371, 65371, unicode_gc_Ps },
  { 65372, 65372, unicode_gc_Sm },
  { 65373, 65373, unicode_gc_Pe },
  { 65374, 65374, unicode_gc_Sm },
  { 65375, 65375, unicode_gc_Ps },
  { 65376, 65376, unicode_gc_Pe },
  { 65377, 65377, unicode_gc_Po },
  { 65378, 65378, unicode_gc_Ps },
  { 65379, 65379, unicode_gc_Pe },
  { 65380, 65380, unicode_gc_Po },
  { 65381, 65381, unicode_gc_Pc },
  { 65382, 65391, unicode_gc_Lo },
  { 65392, 65392, unicode_gc_Lm },
  { 65393, 65437, unicode_gc_Lo },
  { 65438, 65439, unicode_gc_Lm },
  { 65440, 65503, unicode_gc_Lo },
  { 65504, 65505, unicode_gc_Sc },
  { 65506, 65506, unicode_gc_Sm },
  { 65507, 65507, unicode_gc_Sk },
  { 65508, 65508, unicode_gc_So },
  { 65509, 65511, unicode_gc_Sc },
  { 65512, 65512, unicode_gc_So },
  { 65513, 65516, unicode_gc_Sm },
  { 65517, 65528, unicode_gc_So },
  { 65529, 65531, unicode_gc_Cf },
  { 65532, 65535, unicode_gc_So },
  { 65536, 65791, unicode_gc_Lo },
  { 65792, 65793, unicode_gc_Po },
  { 65794, 65798, unicode_gc_So },
  { 65799, 65846, unicode_gc_No },
  { 65847, 66303, unicode_gc_So },
  { 66304, 66335, unicode_gc_Lo },
  { 66336, 66351, unicode_gc_No },
  { 66352, 66377, unicode_gc_Lo },
  { 66378, 66431, unicode_gc_Nl },
  { 66432, 66462, unicode_gc_Lo },
  { 66463, 66559, unicode_gc_Po },
  { 66560, 66599, unicode_gc_Lu },
  { 66600, 66639, unicode_gc_Ll },
  { 66640, 66719, unicode_gc_Lo },
  { 66720, 67583, unicode_gc_Nd },
  { 67584, 118783, unicode_gc_Lo },
  { 118784, 119140, unicode_gc_So },
  { 119141, 119142, unicode_gc_Mc },
  { 119143, 119145, unicode_gc_Mn },
  { 119146, 119148, unicode_gc_So },
  { 119149, 119154, unicode_gc_Mc },
  { 119155, 119162, unicode_gc_Cf },
  { 119163, 119170, unicode_gc_Mn },
  { 119171, 119172, unicode_gc_So },
  { 119173, 119179, unicode_gc_Mn },
  { 119180, 119209, unicode_gc_So },
  { 119210, 119213, unicode_gc_Mn },
  { 119214, 119807, unicode_gc_So },
  { 119808, 119833, unicode_gc_Lu },
  { 119834, 119859, unicode_gc_Ll },
  { 119860, 119885, unicode_gc_Lu },
  { 119886, 119911, unicode_gc_Ll },
  { 119912, 119937, unicode_gc_Lu },
  { 119938, 119963, unicode_gc_Ll },
  { 119964, 119989, unicode_gc_Lu },
  { 119990, 120015, unicode_gc_Ll },
  { 120016, 120041, unicode_gc_Lu },
  { 120042, 120067, unicode_gc_Ll },
  { 120068, 120093, unicode_gc_Lu },
  { 120094, 120119, unicode_gc_Ll },
  { 120120, 120145, unicode_gc_Lu },
  { 120146, 120171, unicode_gc_Ll },
  { 120172, 120197, unicode_gc_Lu },
  { 120198, 120223, unicode_gc_Ll },
  { 120224, 120249, unicode_gc_Lu },
  { 120250, 120275, unicode_gc_Ll },
  { 120276, 120301, unicode_gc_Lu },
  { 120302, 120327, unicode_gc_Ll },
  { 120328, 120353, unicode_gc_Lu },
  { 120354, 120379, unicode_gc_Ll },
  { 120380, 120405, unicode_gc_Lu },
  { 120406, 120431, unicode_gc_Ll },
  { 120432, 120457, unicode_gc_Lu },
  { 120458, 120487, unicode_gc_Ll },
  { 120488, 120512, unicode_gc_Lu },
  { 120513, 120513, unicode_gc_Sm },
  { 120514, 120538, unicode_gc_Ll },
  { 120539, 120539, unicode_gc_Sm },
  { 120540, 120545, unicode_gc_Ll },
  { 120546, 120570, unicode_gc_Lu },
  { 120571, 120571, unicode_gc_Sm },
  { 120572, 120596, unicode_gc_Ll },
  { 120597, 120597, unicode_gc_Sm },
  { 120598, 120603, unicode_gc_Ll },
  { 120604, 120628, unicode_gc_Lu },
  { 120629, 120629, unicode_gc_Sm },
  { 120630, 120654, unicode_gc_Ll },
  { 120655, 120655, unicode_gc_Sm },
  { 120656, 120661, unicode_gc_Ll },
  { 120662, 120686, unicode_gc_Lu },
  { 120687, 120687, unicode_gc_Sm },
  { 120688, 120712, unicode_gc_Ll },
  { 120713, 120713, unicode_gc_Sm },
  { 120714, 120719, unicode_gc_Ll },
  { 120720, 120744, unicode_gc_Lu },
  { 120745, 120745, unicode_gc_Sm },
  { 120746, 120770, unicode_gc_Ll },
  { 120771, 120771, unicode_gc_Sm },
  { 120772, 120781, unicode_gc_Ll },
  { 120782, 131071, unicode_gc_Nd },
  { 131072, 917504, unicode_gc_Lo },
  { 917505, 917759, unicode_gc_Cf },
  { 917760, 983039, unicode_gc_Mn },
  { 983040, 1114109, unicode_gc_Co },
};
